--
-- packages/bboard-portlets/sql/bboard-portlets-drop.sql
--

-- Drops bboard datasources for portal portlets

-- Copyright (C) 2001 ArsDigita Corporation 
-- @author Michael Bryzek (mbryzek@arsdigita.com)
-- @creation-date 2001-02-26

-- $Id: bboard-portlets-drop.sql,v 1.3 2003/08/28 09:41:52 lars Exp $

-- This is free software distributed under the terms of the GNU Public
-- License.  Full text of the license is available from the GNU Project:
-- http://www.fsf.org/copyleft/gpl.html

declare  
  ds_id portal_datasources.datasource_id%TYPE;
begin

  begin 
    select datasource_id into ds_id
      from portal_datasources
     where name = 'Summarize bboard applications'
       and package_key = 'bboard';
   exception when no_data_found then
     ds_id := null;
  end;

  if ds_id is not null then
    portal_datasource.delete(ds_id);
  end if;

end;
/
show errors;

